import 'package:flutter/material.dart';

import 'package:provider/provider.dart';

import 'package:pshared/provider/payment/quotation/quotation.dart';

import 'package:pweb/pages/dashboard/payouts/summary/row.dart';

import 'package:pweb/generated/i18n/app_localizations.dart';

class PaymentRecipientReceivesRow extends StatelessWidget {
  const PaymentRecipientReceivesRow({super.key});

  @override
  Widget build(BuildContext context) => Consumer<QuotationProvider>(
    builder: (context, provider, _) => PaymentSummaryRow(
      labelFactory: AppLocalizations.of(context)!.recipientWillReceive,
      money: provider.recipientGets,
      style: Theme.of(context).textTheme.titleMedium,
    ),
  );
}
